2015-08-22  Bernd Warken  <groff-bernd.warken-72@web.de>

	* gxditview.1.man: Rename `gxditview.man'.

	* xditview.am: Include renaming.

2015-08-05  Bernd Warken  <groff-bernd.warken-72@web.de>

	* xditview.am: Add `Last update'.  Setup Emacs mode.

2004-05-29  Werner LEMBERG  <wl@gnu.org>

	gxditview and xtotroff have been integrated into the normal groff
	directory structure; future changes are logged in the main
	ChangeLog file.

2004-05-13  Werner LEMBERG  <wl@gnu.org>

Version 1.19.1 released
=======================

2004-04-17  Werner LEMBERG  <wl@gnu.org>

	* device.c (scale_round): Round correctly for negative values
	(this is the same function as in src/libs/libgroff/font.c).
	Found by Paul Eggert.

2003-11-10  Werner LEMBERG  <wl@gnu.org>

	* Imakefile.in: s/@top_srcdir@/@abs_top_srcdir@/,
	s/@groff_top_builddir@/@abs_top_builddir@/.

Version 1.19 released
=====================

2003-03-03  Werner LEMBERG  <wl@gnu.org>

	* Imakefile.in (extraclean): Added gxditview._man.

2003-01-28  Werner LEMBERG  <wl@gnu.org>

	* Imakefile.in (SEP): New variable; set to @PATH_SEPARATOR@.
	(GROFF_FONTPATH): Use it.

2003-01-07  Werner LEMBERG  <wl@gnu.org>

	* DviChar.c (Adobe_Symbol_map): Add `sqrt'.

2003-01-06  Werner LEMBERG  <wl@gnu.org>

	* DviChar.c (Adobe_Symbol_map): Add `integral'.

2002-12-29  Werner LEMBERG  <wl@gnu.org>

	* DviChar.c (ISO_8859_1_map): Remove `ap' and `eq'.

2002-12-20  Werner LEMBERG  <wl@gnu.org>

	* DviChar.c (Adobe_Symbol_map): Don't include `or'.
	* draw.c (AdjustCharDeltas): Apply correction only if nadj > 1.
	(DoCharacter): Call FlushCharCache if font size and font number
	differ.
	Reset `dw->dvi.cache.adjustable' properly.

2002-12-09  Werner LEMBERG  <wl@gnu.org>

	* DviChar.c (ISO_8859_1_map): Use `tno' symbol instead of `no'.

2002-12-01  Werner LEMBERG  <wl@gnu.org>

	* Imakefile.in: Use `InstallAppDefaultsLong' instead of
	`InstallAppDefaults' to make it work if build directory isn't
	$srcdir.

2002-11-24  Werner LEMBERG  <wl@gnu.org>

	* DviChar.c (Adobe_Symbol_map): Add glyph `braceex'.

2002-11-14  Werner LEMBERG  <wl@gnu.org>

	* DviChar.c (ISO_8859_1_map): Don't include `or'.

Version 1.18.1 released
=======================

2002-09-16  Werner LEMBERG  <wl@gnu.org>

	* Imakefile.in (GROFF_LOCALFONTDIR): New variable.
	(GROFF_FONTPATH): Use it.
	Remove /usr/local/lib/font.

Version 1.18.0 released
=======================

2002-06-22  Werner LEMBERG  <wl@gnu.org>

	* gxditview.c (main): Handle `-help' and `--help' correctly.

2002-06-17  Colin Watson  <cjwatson@debian.org>

	* Imakefile.in: s/@top_builddir@/@groff_top_builddir@/.

2002-04-06  Werner LEMBERG  <wl@gnu.org>

	* DviChar.c (ISO_8859_1_map, Adobe_Symbol_map): Remove all
	characters > 0x80.
	* parse.c (ParseInput): Ignore `m' command.
	(ParseDrawFunction): Don't move for unknown drawing functions.
	Don't move for `f' drawing function.

2002-03-25  Werner LEMBERG  <wl@gnu.org>

	* DviChar.c (ISO_8859_1_map): Use `t+-', `tmu', and `tdi' symbols
	instead of `+-', `mu', and `di', respectively.

2002-02-23  Werner LEMBERG  <wl@gnu.org>

	* DviChar.c (ISO_8859_1_map): Add `mc' symbol.

2001-09-22  Werner LEMBERG  <wl@gnu.org>

	* Imakefile.in: Redefine `ProgramTargetHelper' as
	`ProgramTargetHelperNoMan' and add a call to `InstallManPageLong'
	to make the `install.man' target work if the build directory isn't
	$srcdir.

Version 1.17.2 released
=======================

Version 1.17.1 released
=======================

2001-04-21  Albert Chin-A-Young  <china@thewrittenword.com>

	* Imakefile.in: Add support for recent HP architectures.

Version 1.17 released
=====================

2001-01-04  Rob Daasch  <daasch@ece.pdx.edu>

	* parse.c (ParseInput): Added 'F' to command switch to swallow
	filename strings as ignored comments.

2000-12-02  Werner LEMBERG  <wl@gnu.org>

	* device.c (find_file): Remove home directory in search path.

2000-11-14  Werner LEMBERG  <wl@gnu.org>

	* device.c (open_device_file): Remove `path' parameter.
	(find_file): Construct font path similar to groff: First the contents
	of GROFF_FONT_PATH, then the home directory, and finally the default
	font path.
	* Imakefile.in: Fix GROFF_DATAPROGRAMDIR and GROFF_FONTPATH.

2000-10-23  Werner LEMBERG  <wl@gnu.org>

	Change installation structure for data files from .../groff/... to
	.../groff/<version><revision>/... to be conform with other GNU
	programs.

	* Imakefile.in: Implement it.

Version 1.16.1 released
=======================

Version 1.16 released
=====================

2000-05-18  Werner LEMBERG  <wl@gnu.org>

	* DviChar.c: Adding `cq' as an alias for "'" in latin-1 map.

2000-05-03  Werner LEMBERG  <wl@gnu.org>

	* DviChar.c: Adding `dq' as an alias for `"' in latin-1 map.

2000-04-28  Werner LEMBERG  <wl@gnu.org>

	* DviChar.c: Replacing `md' glyph name with `pc' in latin-1 map to
	make it distinct from the `md' glyph in the symbol font.

2000-03-03  Werner LEMBERG  <wl@gnu.org>

	* Imakefile replaced with Imakefile.in which will be configured by
	the main configure script of groff.  This will set the correct font
	path, and it will make it possible to build xditview in a directory
	different from $srcdir.

2000-03-01  Colin Phipps  <crp22@cam.ac.uk>

	* Dvi.c (OpenFile): Use tmpdir() for security reasons.
	* xtotroff.c (MapFont): Avoid race while opening file.

2000-02-06  Werner LEMBERG  <wl@gnu.org>

	* Imakefile: Adapted to new directory structure.

	* README: Updated.

Version 1.15 released
=====================

1999-12-21  Werner LEMBERG  <wl@gnu.org>

	* README: Fixed ftp GNU address.

1999-12-13  Werner LEMBERG  <wl@gnu.org>

	* device.c: Use extern declarations of strtok(), strchr(), and
	getenv() only if not defined as macros.

1999-11-18  Larry Jones  <larry.jones@sdrc.com>

	* xditview.c: Add fallback_resources to allow running without
	access to the app-defaults file.

	* Imakefile: Added rule to create app-defaults to a C header file.

	* GXditview-ad.h: New file containing fallback default resources.

	* ad2c: New file to do the app-defaults -> C header file
	conversion.

1999-10-27  Larry Jones  <larry.jones@sdrc.com>

	* font.c (DisposeFontSizes): If there's a problem loading a font,
	xditview will fall-back and use the default font, but it hasn't
	checked before unloading fonts which could result in unloading the
	default font (possibly multiple times) and then X errors.

1999-09-13  Werner LEMBERG  <wl@gnu.org>

	* Imakefile (extraclean): Added Makefile.

	* xditview.c (main, MakePrompt): Fixing compilation warnings.

	* TODO: Imakefile should be replaced with a configure script.

1999-09-13  Werner LEMBERG  <wl@gnu.org>

	* Makefile: Removed.

1999-09-12  Werner LEMBERG  <wl@gnu.org>

	* Imakefile (GROFF_FONTPATH): Another addition.

	* device.c (FONTPATH): Update to match current groff version.

1999-09-11  Larry Jones  <larry.jones@sdrc.com>

	* Imakefile (GROFF_LIBDIR, GROFF_FONTPATH): Update to match
	current groff version.

	* Dvi.c (Realize, Destroy), DviP.h, draw.c (setFillGC), gray*.bm:
	Allow 8 levels of gray rather than just 1.

	* draw.c (DrawFilledCircle, DrawFilledEllipse, DrawFilledPolygon):
	Draw outlines to prevent gaps between abutting figures.

1999-05-27  Werner LEMBERG  <wl@gnu.org>

	* xtotroff.c (usage): Fixed typo.

Mon Sep 11 10:40:33 1995  James Clark  <jjc@jclark.com>

	* device.c (INT_MIN, INT_MAX): Don't define if already defined.

Mon Aug  8 11:14:11 1994  James Clark  (jjc@jclark.com)

	* DviChar.c (Adobe_Symbol_map): Use \(nb for notsubset.

Tue Apr 19 04:41:16 1994  James Clark  (jjc@jclark.com)

	* Dvi.c (resources): Change default for background and foreground
	to "XtDefaultBackground" and "XtDefaultForeground".

Sat Feb 12 10:38:47 1994  James Clark  (jjc@jclark.com)

	* DviChar.c (Adobe_Symbol_map): Rename radicalex to rn.

Thu May 27 20:30:12 1993  James Clark  (jjc@jclark.com)

	* device.c (isascii): Define if necessary.
	(canonicalize_name): Cast argument to isdigit() to unsigned char.

Thu Apr 29 18:36:57 1993  James Clark  (jjc at jclark.com)

	* xditview.c: Include <X11/Xos.h>.
	(NewFile): Don't declare rindex(). Use strrchr() rather than
	rindex().

Tue Mar 30 15:12:09 1993  James Clark  (jjc at jclark)

	* draw.c (charExists): Check that fi->per_char is not NULL.

Sat Dec 12 17:42:40 1992  James Clark  (jjc at jclark)

	* Dvi.c (SetGeometry): Cast XtMakeGeometryRequest arguments.

	* draw.c (DrawPolygon, DrawFilledPolygon): Cast Xtfree argument.

	* font.c (DisposeFontSizes): Add declaration.

	* draw.c (FakeCharacter): Add declaration.

Wed Oct 28 13:24:00 1992  James Clark  (jjc at jclark)

	* Imakefile (install.dev): Deleted.
	(fonts): New target.

Mon Oct 12 10:50:44 1992  James Clark  (jjc at jclark)

	* Imakefile (install.dev): Say when we're installing devX*-12.

	* Imakefile (install.dev): Depends on DESC and FontMap.

Thu Oct  1 20:03:45 1992  James Clark  (jjc at jclark)

	* xditview.c (Syntax): Mention -filename option.

Sat Aug 15 12:56:39 1992  James Clark  (jjc at jclark)

	* GXditview.ad: Bind space and return to NextPage. Bind backspace
	and delete to previous page.

	* DviChar.c (Adobe_Symbol_map): Add `an'.

	* DviChar.c (Adobe_Symbol_map): Add arrowvertex, arrowverttp, and
	arrowvertbt.

Mon Aug 10 11:54:27 1992  James Clark  (jjc at jclark)

	* FontMap: Add m/p fields to the fonts names.

Sat Aug  8 12:00:28 1992  James Clark  (jjc at jclark)

	* DESC: Leave font positions 5-9 blank.

Tue Jul 28 11:37:05 1992  James Clark  (jjc at jclark)

	* Imakefile: Don't use gendef.  Pass definition of FONTPATH using
	DEFINES.
	(path.h): Deleted.
	(device.c): Don't include path.h.  Provide default definition of
	FONTPATH.

Mon Jul  6 14:06:53 1992  James Clark  (jjc at jclark)

	* Imakefile: Don't install tmac.X and tmac.Xps.
	* tmac.X, tmac.Xps: Moved to ../macros.

	* Imakefile: Don't install eqnchar.
	* eqnchar: Deleted.

Sun Jun 14 12:55:02 1992  James Clark  (jjc@jclark)

	* tmac.Xps: Handle OE, oe, lq, rq.
	* draw.c (FakeCharacter): Don't handle these.

	* draw.c (FakeCharacter): Don't handle f/. 

Mon Jun  8 11:46:37 1992  James Clark  (jjc@jclark)

	* tmac.X: Translate char160 to space.

Sun Jun  7 14:39:53 1992  James Clark  (jjc@jclark)

	* tmac.X: Do `mso tmac.psic' before restoring compatibility mode.

	* tmac.X: Add \(OE, \(oe, \(ah, \(ao, \(ho.

	* tmac.Xps: Make it work in compatibility mode.
	Redo existing character definitions with .Xps-char.
	Add more character definitions.
	(Xps-char): New macro.

Sat Jun  6 21:46:03 1992  James Clark  (jjc@jclark)

	* DviChar.c (Adobe_Symbol_map): Add +h, +f, +p, Fn, lz.
	* tmac.X: Add \(bq, \(Bq, \(aq.
	* tmac.Xps: Handle \(aq, \(bq, \(Bq, \(Fn.

Wed Jun  3 11:11:15 1992  James Clark  (jjc@jclark)

	* DviChar.c (Adobe_Symbol_map): Add wp.

Tue Apr 21 09:21:59 1992  James Clark  (jjc at jclark)

	* GXditview.ad: Bind n, p, q keys to NextPage, PreviousPage and
	Quit actions.

	* xditview.c (RerasterizeAction): New function.
	(xditview_actions): Add RerasterizeAction.
	* GXditview.ad: Bind r key to Rerasterize action.

Fri Apr 17 08:25:36 1992  James Clark  (jjc at jclark)

	* xditview.c: Add -filename option.
	(main): Copy any -filename argument into current_file_name.

Mon Mar 16 10:21:58 1992  James Clark  (jjc at jclark)

	* tmac.X: Load tmac.pspic.

Sun Mar  8 11:27:19 1992  James Clark  (jjc at jclark)

	* Lex.c (GetLine, GetWord, GetNumber): Rewrite.

Sat Oct 12 22:58:52 1991  James Clark  (jjc at jclark)

	* Dvi.c (SetDevice): If the size change request is refused but a
	larger geometry is offered, request that.

Wed Oct  9 12:27:48 1991  James Clark  (jjc at jclark)

	* font.c (InstallFontSizes): Ignore FontNameAverageWidth component.

	* Dvi.c (default_font_map): Add `adobe' to font names to avoid
	ambiguity.

	* FontMap: New file.
	* FontMap.X100, FontMap.X75: Deleted.
	* xtotroff.c (main, usage): Add -s and -r options.
	(MapFont): Change the font pattern to have the selected resolution and
	size.
	* Imakefile (install.dev): Use FontMap and supply appropriate -s
	and -r options.

	* xtotroff.c (MapFont): Check for ambiguity by comparing canonicalized
	font names.

	* DviP.h (DviFontList): Add initialized and scalable members.
	(font.c):  Add support for scalable fonts based on R5 xditview.

	* DviChar.c: Use xmalloc rather than malloc.
	* xditview.c (xmalloc): New function.
	* xtotroff.c (xmalloc): New function.
	* other files: Use XtMalloc and XtFree instead of malloc and free.

Thu Aug 29 20:15:31 1991  James Clark  (jjc at jclark)

	* draw.c (setGC): Do multiplication in floating point to avoid
	overflow.

Tue Aug 13 12:04:41 1991  James Clark  (jjc at jclark)

	* draw.c (FakeCharacter): Remove casts in defintion of pack2.

Tue Jul 30 11:42:39 1991  James Clark  (jjc at jclark)

	* tmac.Xps: New file.
	* Imakefile (install): Install tmac.Xps.

Tue Jul  2 09:31:37 1991  James Clark  (jjc at jclark)

	* xtotroff.c (main): Pass argv[0] to usage().

Sun Jun 30 12:34:06 1991  James Clark  (jjc at jclark)

	* xtotroff.c (MapFont): Handle the case where XLoadQueryFont
	returns NULL.

Sat Jun 29 12:32:52 1991  James Clark  (jjc at jclark)

	* Imakefile: Use ../gendef to generate path.h.

Sun Jun 16 13:26:34 1991  James Clark  (jjc at jclark)

	* Imakefile (depend.o): Change to device.o.

Sun Jun  2 12:17:56 1991  James Clark  (jjc at jclark)

	* Imakefile: Remove spaces from the beginning of variable
	assignment lines.

Sun May 26 14:14:01 1991  James Clark  (jjc at jclark)

	* xditview.c (Syntax): Update.

	* Dvi.c (DviSaveToFile, SaveToFile): New functions.
	(FindPage): Check that we're not readingTmp before checking for
	end of file of normal input file.
	(ClassPartInitialize): New function.
	* Dvi.h: Add declaration of DviSaveToFile.
	* DviP.h: Add save method to DviClassPart. Declare
	InheritSaveToFile.
	* xditview.c (DoPrint, Print, PrintAction): New functions.
	* xditview.c: Add print menu entry.
	* xditview.c: Provide printCommand application resource.
	* lex.c: Don't output EOF to temporary file.

	* Dvi.c (QueryGeometry): Check request->request_mode.

	* Dvi.c (SetDevice): New function.
	(SetDeviceResolution): Deleted.

	* Dvi.c: Add resolution resource.
	* DviP.h: Add definitions of XtNResolution and XtCResolution.
	* xditview.c: Add -resolution argument.
	* GXditview.ad: Add default for GXditview.height.
	* Dvi.c (Initialize, SetDevice): Use default_resolution.

	* Dvi.c: Make MY_HEIGHT and MY_WIDTH use the paperlength and
	paperwidth commands in the DESC file.
	
	* Dvi.c: Add SS font to default font map.

	* draw.c: Rewritten so as not to assume device and display
	resolution is the same.
	* DviP.h: Include device.h. Add device_font member to DviFontList.
	Add adjustable array to DviCharCache. Add text_x_width,
	text_device_width, word_flag, device_font, device_font_number,
	device, native, device_resolution, display_resolution,
	paperlength, paperwidth, scale_factor, sizescale members.
	* Dvi.c (Initialize): Initialize new variable used by draw.c.
	(Destroy): Call device_destroy.
	* font.c (MaxFontPosition): New function.
	(LookupFontSizeBySize): Handle sizescale.
	(InstallFont): Load the device font.
	(ForgetFonts): New function.
	(QueryDeviceFont): New function.
	* parse.c (ParseInput): Handle t and u commands. Split off
	character output into draw.c.
	(ParseDeviceControl): Ignore res command. Use the device argument
	to the T command.

	* font.c (MapXNameToDviName): Ifdefed out.

	* path.h: New file.
	* device.c, device.h: New files.

	* DviChar.c: Add entries for lB, rB, oq, lC, rC, md.

	* INSTALL: New file.

	* libxdvi: Merged into main directory.
	* xtotroff.c, xditview.c: Change includes accordingly.	

	* devX75, devX100: Merged into main directory.
	* xditview.man: Renamed to gxditview.man.

	* Xditview.ad: Renamed to GXditview.ad.
	* xditview.c (main): Use class of GXditview rather than xditview.

	* Imakefile: New file.
	* Makefile: Deleted.

	* xtotroff.c (MapFont): Unlink output file before opening it.

	* Started separate ChangeLog.

________________________________________________________________________

Copyright 1991-2018 Free Software Foundation, Inc.

Copying and distribution of this file, with or without modification,
are permitted in any medium without royalty provided the copyright
notice and this notice are preserved.

Local Variables:
version-control: never
mode: change-log
coding: latin-1
End:
